block.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <fcntl.h>`
`#include <ctype.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <sys/ioctl.h>`
`#include <linux/iso_fs.h>`
`#include <linux/cdrom.h>`
`#include <scsi/sg.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "hddb.h"`
`#include "block.h"`
`#include "dvd.h"`

## Functions

static void | get_block_devs (hd_data_t *hd_data)
static void | add_partitions (hd_data_t *hd_data, hd_t *hd, char *path)
static void | add_cdrom_info (hd_data_t *hd_data, hd_t *hd)
static void | add_other_sysfs_info (hd_data_t *hd_data, hd_t *hd)
static void | add_ide_sysfs_info (hd_data_t *hd_data, hd_t *hd)
static void | add_scsi_sysfs_info (hd_data_t *hd_data, hd_t *hd, char *sf_dev)
static void | read_partitions (hd_data_t *hd_data)
static void | read_cdroms (hd_data_t *hd_data)
static cdrom_info_t * | new_cdrom_entry (cdrom_info_t **ci)
static cdrom_info_t * | get_cdrom_entry (cdrom_info_t *ci, int n)
static void | get_scsi_tape (hd_data_t *hd_data)
static void | get_generic_scsi_devs (hd_data_t *hd_data)
static void | add_disk_size (hd_data_t *hd_data, hd_t *hd)
void | hd_scan_sysfs_block (hd_data_t *hd_data)
char * | hd_sysfs_find_driver (hd_data_t *hd_data, char *sysfs_id, int exact)
cdrom_info_t * | hd_read_cdrom_info (hd_data_t *hd_data, hd_t *hd)
void | hd_scan_sysfs_scsi (hd_data_t *hd_data)